<section class="main-container">
<section class="action-btn">
    <app-logout-btn class="logout-btn"></app-logout-btn>
</section>
<section class="doctorList-container">
    <app-doctor-nav-bar></app-doctor-nav-bar>
<div class="doctor-table"> 
    <h1>Hello Dr. {{name}}!</h1>
        <div class="doctor-table mat-elevation-z8"> 
            <mat-table #table  [dataSource]="dataSource" class="table">

             <ng-container matColumnDef="name">
                 <mat-header-cell *matHeaderCellDef> Assigned Nurse </mat-header-cell>
                 <mat-cell *matCellDef="let element"> {{element.name}} </mat-cell>
             </ng-container>

             <ng-container matColumnDef="changeRequest">
                <mat-header-cell *matHeaderCellDef> Action </mat-header-cell>
                <mat-cell *matCellDef="let element"> <app-button (click)="getSelectedNurse(element)"> Change Request</app-button> </mat-cell>
            </ng-container>

                
               <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
               <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
             </mat-table>
             <mat-paginator #paginator
                          [pageSize]="5"
                          [pageSizeOptions]="[5, 10, 20]">
           </mat-paginator>
         </div>
</div>

</section>
</section>


<section *ngIf="displayChangeRequestPopup">
    <form class="popup-container" [formGroup]="form" (ngSubmit)="changeNurse(form)" >
        <h3>Add Doctor</h3>
        <app-input type="text" placeholder="Enter Nurse Name" formControlName="for"></app-input>
    <app-input type="text" placeholder="Please Provide Reason " formControlName="reason"></app-input>
    <mat-select placeholder="Select Nurses" class="select-nurses" formControlName="replacement" [(ngModel)]="value">
        <mat-option *ngFor="let ele of allNurses" [value]="ele._id">{{ele.name}}</mat-option>
      </mat-select>
      <app-button [form] = 'form'>Save</app-button>
    </form>
</section>

